Download Page
Java

Teaboy requires Java 1.5 (5.0) or higher. While it's hard to determine the computing requirements before the testing period, We have found Mac G5s may be too slow for reliable usability. However any computer that does support Java 1.5 or higher should have no problem running Teaboy. If you don't have Java installed, or you need to update to version 1.5. You can find it on the Java homepage.

Teaboy Logo

For help with the software please check out the Help page. We also ask that you report any bugs or comments in the software so that we can fix them. Also, please use the forum section to let us know what gear you would like added or any issues you may have.

warning

This software requires being signed up to the service. Without registration, you will not be able to use this software. If you haven't already done so, please use the Registration page to register.

Download Teaboy Software Client
Mac OS X
Windows
Linux / Universal (All OSes)